Bug 722709 - Review Request: mbrowse - GUI SNMP MIB browser
Summary: Review Request: mbrowse - GUI SNMP MIB browser
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ken Dreyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-07-16 22:13 UTC by Volker Fröhlich
Modified: 2011-10-27 19:09 UTC (History)
4 users (show)

Fixed In Version: mbrowse-0.4.3-3.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-18 22:09:00 UTC
ktdreyer: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Volker Fröhlich 2011-07-16 22:13:29 UTC
Spec URL: http://www.geofrogger.net/review/mbrowse.spec
SRPM URL: http://www.geofrogger.net/review/mbrowse-0.4.3-1.fc15.src.rpm
Description: Mbrowse is a graphical SNMP MIB browser based on GTK+ and net-snmp.

Tested Mock build for F14, F15, Rawhide and EPEL 6 (x86_64) plus:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3204507

Comment 1 Nathan Owe 2011-08-11 03:27:19 UTC
First off, do you need a sponsor?

Comment 2 Volker Fröhlich 2011-08-11 05:22:18 UTC
No, I don't need a sponsor.

See https://admin.fedoraproject.org/accounts/user/view/volter or query zodbot on IRC (fas, fasinfo).

The FE-NEEDSPONSOR flag also isn't set.

Comment 3 Nathan Owe 2011-08-11 17:21:17 UTC
The group tag is no longer necessary

Also running rpmlint on the RPM gives me there is no man pages for binary
https://fedoraproject.org/wiki/Packaging:Guidelines#Man_pages.

Comment 4 Volker Fröhlich 2011-08-11 19:13:34 UTC
Can you cite the ruling or the section in the guidelines concerning the group tag?

Well, the guidelines say "should". Since it is a graphical application, I don't regard it as terribly useful. There actually happens to be an old manpage from Debian: http://manpages.ubuntu.com/manpages/hardy/man1/mbrowse.1.html.

I'll consider including it, because there is no other help. I'll have to look over it, if it is still up to date. Upstream seemingly had it with 0.3.1 but I can't find a trace of it in trunk.

http://mbrowse.git.sourceforge.net/git/gitweb.cgi?p=mbrowse/mbrowse;a=blob;f=debian/changelog;h=94fd1f123a54026003befc0959d04774c39656f9

Comment 5 Nathan Owe 2011-08-11 19:27:00 UTC
Here is a bit about the Group tag, it is more of a talk:
http://lists.fedoraproject.org/pipermail/packaging/2008-September/005091.html

Also I didn't notice the man page either. Supposedly it said adding a man page fixed bug number. But I even looked for the bug that it was referencing and I didn't see that either.

Comment 6 Volker Fröhlich 2011-09-11 18:25:21 UTC
Concerning the group tag: I've got like 10 packages and nobody ever mentioned the group tag on review. Every other package, I've seen so far, also has it. The guidelines still mention the group tag in the context of documentation: http://fedoraproject.org/wiki/PackagingGuidelines#Documentation

It would be interesting to clarify that, nevertheless.

http://www.geofrogger.net/review/mbrowse.spec
http://www.geofrogger.net/review/mbrowse-0.4.3-2.fc15.src.rpm
http://koji.fedoraproject.org/koji/taskinfo?taskID=3343315

* Sun Sep 11 2011 Volker Fröhlich <volker27@gmx.at> - 0.4.3-2
- Add Debian manpage

Comment 7 Kevin Kofler 2011-09-18 21:41:58 UTC
The Group tag is not necessary in current Fedora, it is necessary in EPEL though, and it doesn't hurt in Fedora either. (In fact, RPM can and will still process it, it just won't complain anymore if it's not there, and just fill in "Unspecified".)

Comment 8 Ken Dreyer 2011-10-06 06:54:54 UTC
OK - MUST: rpmlint must be run on source and binaries

$ rpmlint /var/lib/mock/fedora-15-i386/result/*.rpm
mbrowse.i686: W: spelling-error %description -l en_US snmp -> snip, snap, sump
mbrowse.src: W: spelling-error %description -l en_US snmp -> snip, snap, sump
3 packages and 0 specfiles checked; 0 errors, 2 warnings.

$ rpmlint mbrowse.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

False positives on spelling.  No problems here.


OK - MUST: named according to the Package Naming Guidelines
OK - MUST: spec file name matches the base package %{name}
OK - MUST: package meets the Packaging Guidelines
OK - MUST: license file included in %doc
OK - MUST: spec is in American English
OK - MUST: spec is legible
OK - MUST: sources match the upstream source by MD5
9857a88d2e6246384587350a647e605d
OK - MUST: successfully compiles and builds into binary rpms on F15.
OK - MUST: no ExcludeArch.
OK - MUST: all build dependencies are listed in BuildRequires.
N/A - MUST: handles locales properly with %find_lang
N/A - MUST: calls ldconfig in %post and %postun
OK - MUST: does not bundle copies of system libraries.
N/A - MUST: not designed to be relocatable
OK - MUST: owns all directories that it creates
OK - MUST: no duplicate files in the %files listing
OK - MUST: permissions on files are set properly
OK - MUST: consistently uses macros
OK - MUST: package contains code, or permissable content
N/A - MUST: Large documentation files should go in a -doc subpackage
OK - MUST: Files included as %doc do not affect the runtime of the application
N/A - MUST: Header files must be in a -devel package
N/A - MUST: Static libraries must be in a -static package
N/A - MUST: If a package contains library files with a suffix, then library
files that end in .so must go in a -devel package.
N/A - MUST: devel packages must require the base package using a fully versioned
dependency
OK - MUST: The package does not contain any .la libtool archives.
OK - MUST: Packages containing GUI applications must include a %{name}.desktop
file
OK - MUST: package does not own files or directories already owned by other
packages.
OK - MUST: all filenames valid UTF-8


SHOULD Items:
OK - SHOULD: Source package includes license text(s) as a separate file.
N/A - SHOULD: The description and summary sections in the package spec file
should contain translations for supported Non-English languages, if available.
OK - SHOULD: builds in mock.
OK - SHOULD: compiles and builds into binary rpms on all supported
architectures.
OK - SHOULD: functions as described.
OK - SHOULD: Scriptlets are sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
N/A - SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg
OK - SHOULD: no file dependencies outside of /etc, /bin, /sbin, /usr/bin, or
/usr/sbin


Other items:
OK - latest stable version
OK - SourceURL valid

It would be nice if there were a desktop icon, but upstream doesn't ship one, so we don't have anything to go on. Even the icon elements in the GUI are hardcoded in C (ugh :-)

I've tested this on F15, against an EL6 host running snmpd, and it works fine.


Issues:

The Categories field in mbrowse.desktop should be "Network" instead of "System".

My opinion on the man page: Since this is a GUI app, I don't think it's *really* necessary, and my preference is to just follow upstream here. Maybe the Debian folks never got it upstreamed in the first place? If that's the case, would you mind filing this with upstream? Regardless, it's a SHOULD, not a MUST, so it's up to you as the packager whether to include it in your package or not.

APPROVED

Comment 9 Volker Fröhlich 2011-10-06 21:33:05 UTC
As of the icon, I've been e-mailing upstream. They don't have one, but they'd happily accept one. Sadly I neither feel very creative nor do I know somebody who does.

The Debian manpage actually was part of 0.3.1 (see above comments for details). I don't know why they dropped it. I went through the manpage and corrected some small things. It is of course a GUI application, but it doesn't supply any help and the help you get from the manpage is still right. I'll ask upstream.

I'll change the desktop file.

Thanks again for reviewing!

Comment 10 Volker Fröhlich 2011-10-06 22:09:51 UTC
New Package SCM Request
=======================
Package Name: mbrowse
Short Description: GUI SNMP MIB browser
Owners: volter
Branches: f15 f16 el6

Comment 11 Gwyn Ciesla 2011-10-07 12:20:02 UTC
Git done (by process-git-requests).

Comment 12 Fedora Update System 2011-10-09 15:42:35 UTC
mbrowse-0.4.3-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/mbrowse-0.4.3-3.el6

Comment 13 Fedora Update System 2011-10-09 15:44:28 UTC
mbrowse-0.4.3-3.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/mbrowse-0.4.3-3.fc16

Comment 14 Fedora Update System 2011-10-09 15:45:20 UTC
mbrowse-0.4.3-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/mbrowse-0.4.3-3.fc15

Comment 15 Fedora Update System 2011-10-09 19:13:02 UTC
mbrowse-0.4.3-3.fc16 has been pushed to the Fedora 16 testing repository.

Comment 16 Fedora Update System 2011-10-18 22:09:00 UTC
mbrowse-0.4.3-3.fc15 has been pushed to the Fedora 15 stable repository.

Comment 17 Fedora Update System 2011-10-19 04:29:30 UTC
mbrowse-0.4.3-3.fc16 has been pushed to the Fedora 16 stable repository.

Comment 18 Fedora Update System 2011-10-27 19:09:07 UTC
mbrowse-0.4.3-3.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.